> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post properties

> Retrieves all properties of the Forum which is the user's current Forum. Each property represents a configuration
of the System specific to an Account and Forum associated with the authenticated User. The authenticated User
must have the appropriate System Management rights to retrieve the list of management properties.

The operation requires a **ForumPropertiesRequest** value.

The requesting User must have the following rights to perform this task:



The service returns a **Property Data Wrapper** argument with the following attributes:





## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /properties
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /properties:
    post:
      tags:
        - PropertiesService
      description: >+
        Retrieves all properties of the Forum which is the user's current Forum.
        Each property represents a configuration

        of the System specific to an Account and Forum associated with the
        authenticated User. The authenticated User

        must have the appropriate System Management rights to retrieve the list
        of management properties.


        The operation requires a **ForumPropertiesRequest** value.


        The requesting User must have the following rights to perform this task:




        The service returns a **Property Data Wrapper** argument with the
        following attributes:

      operationId: getForumAccountPropertiesForManagement
      parameters: []
      requestBody:
        description: ': ForumPropertiesRequest'
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  sysidForum: 12345
                  sysidAccount: 12345
            schema:
              $ref: '#/components/schemas/ForumPropertiesRequest'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    properties:
                      - id:
                          sysidAccount: 12345
                          propsKey: ...
                        keyValue: ...
                        description: ...
                        sysidAttributeDataType: 12345
                        comment: ...
                      - id:
                          sysidAccount: 12345
                          propsKey: ...
                        keyValue: ...
                        description: ...
                        sysidAttributeDataType: 12345
                        comment: ...
              schema:
                $ref: '#/components/schemas/PropertyDataWrapper'
          description: |-
            Array of Property Data Values
            com.agilquest.phoenix.shared.data.rest.wrapper.PropertyDataWrapper
components:
  schemas:
    ForumPropertiesRequest:
      type: object
      title: ForumPropertiesRequest
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidForum:
              type: integer
              format: int32
            sysidAccount:
              type: integer
              format: int32
      example:
        sysidForum: 12345
        sysidAccount: 12345
    PropertyDataWrapper:
      type: object
      title: PropertyDataWrapper
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            properties:
              type: array
              items:
                $ref: '#/components/schemas/ForumPropertyData'
      example:
        properties:
          - id:
              sysidAccount: 12345
              propsKey: ...
            keyValue: ...
            description: ...
            sysidAttributeDataType: 12345
            comment: ...
          - id:
              sysidAccount: 12345
              propsKey: ...
            keyValue: ...
            description: ...
            sysidAttributeDataType: 12345
            comment: ...
    DependentData:
      type: object
      title: DependentData
      example: {}
    ForumPropertyData:
      type: object
      title: ForumPropertyData
      required:
        - sysidAttributeDataType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            id:
              $ref: '#/components/schemas/ForumPropertyId'
            keyValue:
              type: string
            description:
              type: string
            sysidAttributeDataType:
              type: integer
              format: int32
            comment:
              type: string
      example:
        id:
          sysidAccount: 12345
          propsKey: ...
        keyValue: ...
        description: ...
        sysidAttributeDataType: 12345
        comment: ...
    ForumPropertyId:
      type: object
      title: ForumPropertyId
      properties:
        sysidAccount:
          type: integer
          format: int32
        propsKey:
          type: string
      example:
        sysidAccount: 12345
        propsKey: ...

````